CREATE TABLE jl_br_ap_consolid_invoices_all (
    CONSOLIDATED_INVOICE_ID          NUMBER(18, 0),
    VENDOR_ID                        NUMBER(18, 0)    NOT NULL,
    INVOICE_NUM                      VARCHAR2(200)    NOT NULL,
    SET_OF_BOOKS_ID                  NUMBER(18, 0)    NOT NULL,
    INVOICE_CURRENCY_CODE            VARCHAR2(60)     NOT NULL,
    INVOICE_AMOUNT                   NUMBER       ,
    VENDOR_SITE_ID                   NUMBER(18, 0),
    INVOICE_DATE                     DATE         ,
    DESCRIPTION                      VARCHAR2(960),
    TERMS_ID                         NUMBER(18, 0),
    TERMS_DATE                       DATE         ,
    CANCELLED_DATE                   DATE         ,
    CANCELLED_BY                     NUMBER(18, 0),
    CANCELLED_AMOUNT                 NUMBER       ,
    AMOUNT_APPLICABLE_TO_DISCOUNT    NUMBER       ,
    PAY_GROUP_LOOKUP_CODE            VARCHAR2(120),
    ATTRIBUTE_CATEGORY               VARCHAR2(600),
    ATTRIBUTE1                       VARCHAR2(600),
    ATTRIBUTE2                       VARCHAR2(600),
    ATTRIBUTE3                       VARCHAR2(600),
    ATTRIBUTE4                       VARCHAR2(600),
    ATTRIBUTE5                       VARCHAR2(600),
    ATTRIBUTE6                       VARCHAR2(600),
    ATTRIBUTE7                       VARCHAR2(600),
    ATTRIBUTE8                       VARCHAR2(600),
    ATTRIBUTE9                       VARCHAR2(600),
    ATTRIBUTE10                      VARCHAR2(600),
    ATTRIBUTE11                      VARCHAR2(600),
    ATTRIBUTE12                      VARCHAR2(600),
    ATTRIBUTE13                      VARCHAR2(600),
    ATTRIBUTE14                      VARCHAR2(600),
    ATTRIBUTE15                      VARCHAR2(600),
    ATTRIBUTE_NUMBER1                NUMBER       ,
    ATTRIBUTE_NUMBER2                NUMBER       ,
    ATTRIBUTE_NUMBER3                NUMBER       ,
    ATTRIBUTE_NUMBER4                NUMBER       ,
    ATTRIBUTE_NUMBER5                NUMBER       ,
    ATTRIBUTE_DATE1                  DATE         ,
    ATTRIBUTE_DATE2                  DATE         ,
    ATTRIBUTE_DATE3                  DATE         ,
    ATTRIBUTE_DATE4                  DATE         ,
    ATTRIBUTE_DATE5                  DATE         ,
    ORG_ID                           NUMBER(18, 0)    NOT NULL,
    PAY_GROUP_FLAG                   VARCHAR2(4)  ,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)     NOT NULL,
    CONSOLIDATED_INVOICE_ID          NUMBER(18, 0),
    VENDOR_ID                        NUMBER(18, 0)    NOT NULL,
    INVOICE_NUM                      VARCHAR2(200)    NOT NULL,
    SET_OF_BOOKS_ID                  NUMBER(18, 0)    NOT NULL,
    INVOICE_CURRENCY_CODE            VARCHAR2(60)     NOT NULL,
    INVOICE_AMOUNT                   NUMBER       ,
    VENDOR_SITE_ID                   NUMBER(18, 0),
    INVOICE_DATE                     DATE         ,
    DESCRIPTION                      VARCHAR2(960),
    TERMS_ID                         NUMBER(18, 0),
    TERMS_DATE                       DATE         ,
    CANCELLED_DATE                   DATE         ,
    CANCELLED_BY                     NUMBER(18, 0),
    CANCELLED_AMOUNT                 NUMBER       ,
    AMOUNT_APPLICABLE_TO_DISCOUNT    NUMBER       ,
    PAY_GROUP_LOOKUP_CODE            VARCHAR2(120),
    ATTRIBUTE_CATEGORY               VARCHAR2(600),
    ATTRIBUTE1                       VARCHAR2(600),
    ATTRIBUTE2                       VARCHAR2(600),
    ATTRIBUTE3                       VARCHAR2(600),
    ATTRIBUTE4                       VARCHAR2(600),
    ATTRIBUTE5                       VARCHAR2(600),
    ATTRIBUTE6                       VARCHAR2(600),
    ATTRIBUTE7                       VARCHAR2(600),
    ATTRIBUTE8                       VARCHAR2(600),
    ATTRIBUTE9                       VARCHAR2(600),
    ATTRIBUTE10                      VARCHAR2(600),
    ATTRIBUTE11                      VARCHAR2(600),
    ATTRIBUTE12                      VARCHAR2(600),
    ATTRIBUTE13                      VARCHAR2(600),
    ATTRIBUTE14                      VARCHAR2(600),
    ATTRIBUTE15                      VARCHAR2(600),
    ATTRIBUTE_NUMBER1                NUMBER       ,
    ATTRIBUTE_NUMBER2                NUMBER       ,
    ATTRIBUTE_NUMBER3                NUMBER       ,
    ATTRIBUTE_NUMBER4                NUMBER       ,
    ATTRIBUTE_NUMBER5                NUMBER       ,
    ATTRIBUTE_DATE1                  DATE         ,
    ATTRIBUTE_DATE2                  DATE         ,
    ATTRIBUTE_DATE3                  DATE         ,
    ATTRIBUTE_DATE4                  DATE         ,
    ATTRIBUTE_DATE5                  DATE         ,
    ORG_ID                           NUMBER(18, 0)    NOT NULL,
    PAY_GROUP_FLAG                   VARCHAR2(4)  ,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_jl_br_ap_consolid_invoices_all PRIMARY KEY (CONSOLIDATED_INVOICE_ID, CONSOLIDATED_INVOICE_ID)
);
